import java.awt.*;
import java.awt.image.*;
import java.util.*;

public abstract class SaveManager extends Observable {
    Design [] designs = null;

    public abstract void performSave(DesignCanvas dc, Color bg);
    public abstract String formatMessage(Object arg);

    protected void getDesigns(DesignCanvas dc) {
	if (dc.countImages() == 0) return;
	designs = new Design[dc.countImages()];
	dc.designs.copyInto(designs);
	return;
    }
}
